//Disable $fn and $fa, do not change these
$fn=0;
$fa=0.01;
$fs=0.5;


depth=55;
height=35;
deckwidth=55;
backthickness=3;
deckthickness=6;
endmountheight=12;
endmountthickness=5;

module framework()
{
cube([backthickness,depth,height]);
cube([deckwidth,depth,deckthickness]);


translate([0,depth-endmountthickness,deckthickness])
cube([deckwidth,endmountthickness,endmountheight]);
}

m3r=1.5;
m3hr=2.5;
m3hh=2;

mountspace=30;
mount1=(depth-mountspace)/2;
mount2=mount1+mountspace;
mountheight=2*deckthickness;

endholespace=31;
motorwidth=42.3;
motorhole=(motorwidth-endholespace)/2;
endholeheight=deckthickness+motorhole;
endhole1=(deckwidth-endholespace)/2;
endhole2=endhole1+endholespace;

exholex=endhole2+motorhole-14.5;
exholey=depth-endmountthickness-5.5;
exholer=3;


v6width=20;
v6miss=2;
v6r1=16/2;


module frameworkholes()
{
 translate([0,mount1,mountheight]) rotate([0,90,0]) cylinder(backthickness,m3r,m3r);
 translate([0,mount2,mountheight]) rotate([0,90,0]) cylinder(backthickness,m3r,m3r);
    
 translate([endhole1,depth,endholeheight]) rotate([90,0,0]) cylinder(endmountthickness,m3r,m3r);

 translate([endhole2,depth,endholeheight]) rotate([90,0,0]) cylinder(endmountthickness,m3r,m3r);


 translate([exholex,exholey,0]) cylinder(deckthickness,exholer,exholer);


translate([exholex-2*v6miss-2*m3r-v6r1,exholey-v6width/4,0])
cylinder(deckthickness,m3r,m3r);    

translate([exholex-2*v6miss-2*m3r-v6r1,exholey-v6width/4,deckthickness-m3hh])
cylinder(m3hh,m3hr,m3hr);    


translate([exholex-2*v6miss-2*m3r-v6r1,exholey+v6width/4,0])
cylinder(deckthickness,m3r,m3r);    

translate([exholex-2*v6miss-2*m3r-v6r1,exholey+v6width/4,deckthickness-m3hh])
cylinder(m3hh*10,m3hr,m3hr);    





translate([exholex+2*v6miss+2*m3r+v6r1,exholey-v6width/4,0])
cylinder(deckthickness,m3r,m3r);

translate([exholex+2*v6miss+2*m3r+v6r1,exholey-v6width/4,deckthickness-m3hh])
cylinder(m3hh,m3hr,m3hr);

translate([exholex+2*v6miss+2*m3r+v6r1,exholey+(v6width/4),0])
cylinder(deckthickness,m3r,m3r);

translate([exholex+2*v6miss+2*m3r+v6r1,exholey+(v6width/4),deckthickness-m3hh])
cylinder(m3hh*10,m3hr,m3hr);

    
}





translate([0,0,depth])rotate([-90,0,0])difference()
{
 framework();
 frameworkholes();   
    
}


